public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pypiserver/
Date: Mon,  5 Oct 2020 21:47:04 +0000 (UTC)	[thread overview]
Message-ID: <1601934399.cdb0e709e7cd81d12cf79d78d589d43f08f03e63.mgorny@gentoo> (raw)

commit:     cdb0e709e7cd81d12cf79d78d589d43f08f03e63
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Oct  5 21:19:24 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Oct  5 21:46:39 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cdb0e709

dev-python/pypiserver: Bump to 1.4.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pypiserver/Manifest                |  1 +
 dev-python/pypiserver/pypiserver-1.4.0.ebuild | 48 +++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-python/pypiserver/Manifest b/dev-python/pypiserver/Manifest
index 90c09b39052..473c94597a4 100644
--- a/dev-python/pypiserver/Manifest
+++ b/dev-python/pypiserver/Manifest
@@ -1 +1,2 @@
 DIST pypiserver-1.3.2.tar.gz 505905 BLAKE2B 4e62d11cf280524d532e793d3ffc4dc59f1e72c6aba2ed6bd0d70f86104162dc60377b56e08676ab03326c33885acae698dc60b435426b195f13bf9f60bb7b8c SHA512 de823376f7711bfdaff3a1acefae37e1d7528802203929b8aeb8790c2b1c466badaf5a1d5084100bc37f41636d2cdfc2038cd3ad9805d15ca42c80834760b4da
+DIST pypiserver-1.4.0.tar.gz 510845 BLAKE2B e70c72780dc3c601bb8f9893df3b35385392c24b68acabf3bc56ef64074740ba6d3cd0ac844735812936dfae92ff88205cebd9a9f1f53767b9a4beafd19bd21f SHA512 f34d371134a00f8643842d8fedd4e34d533015755a5c868cf4d180fe242940a4c648ac0482c6f56d2a30f9d0f9fc5b40a23e0e6e278fb089efe2968f5df20766

diff --git a/dev-python/pypiserver/pypiserver-1.4.0.ebuild b/dev-python/pypiserver/pypiserver-1.4.0.ebuild
new file mode 100644
index 00000000000..c86e71e5c09
--- /dev/null
+++ b/dev-python/pypiserver/pypiserver-1.4.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Minimal PyPI server"
+HOMEPAGE="https://github.com/pypiserver/pypiserver"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ZLIB MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+
+RDEPEND="
+	dev-python/pip[${PYTHON_USEDEP}]
+	>=dev-python/wheel-0.25.0[${PYTHON_USEDEP}]"
+BDEPEND="
+	dev-python/setuptools-git[${PYTHON_USEDEP}]
+	test? (
+		${RDEPEND}
+		dev-python/passlib[${PYTHON_USEDEP}]
+		>=dev-python/pytest-2.3[${PYTHON_USEDEP}]
+		dev-python/twine[${PYTHON_USEDEP}]
+		dev-python/webtest[${PYTHON_USEDEP}]
+	)"
+
+DOCS=( README.rst )
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	sed -i -e "/tox/d" setup.py || die
+
+	# https://github.com/pypiserver/pypiserver/issues/312
+	sed -e 's:test_root_count:_&:' \
+		-i tests/test_app.py || die
+	sed -e 's:test_hash_algos:_&:' \
+		-e 's:test_pipInstall_openOk:_&:' \
+		-e 's:test_pipInstall_authedOk:_&:' \
+		-i tests/test_server.py || die
+
+	distutils-r1_src_prepare
+}


             reply	other threads:[~2020-10-05 21:47 UTC|newest]

Thread overview: 72+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-10-05 21:47 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-05  7:10 [gentoo-commits] repo/gentoo:master commit in: dev-python/pypiserver/ Michał Górny
2024-09-16  3:59 Michał Górny
2024-08-26 18:54 Arthur Zamarin
2024-07-12  6:56 Michał Górny
2024-07-12  6:21 Ionen Wolkens
2024-07-12  6:21 Ionen Wolkens
2024-07-12  6:21 Ionen Wolkens
2024-07-12  6:21 Ionen Wolkens
2024-07-05 17:37 Michał Górny
2024-06-15 14:06 Michał Górny
2024-06-15 13:17 Michał Górny
2024-05-11  9:49 Arthur Zamarin
2024-05-11  7:45 Arthur Zamarin
2024-05-11  7:28 Arthur Zamarin
2024-05-11  7:09 Arthur Zamarin
2024-04-26  1:35 Yixun Lan
2024-04-25 16:35 Arthur Zamarin
2024-04-25 14:45 Sam James
2024-04-25 14:45 Sam James
2023-11-02  5:44 Michał Górny
2023-11-01 20:37 Arthur Zamarin
2023-10-01 18:07 Arthur Zamarin
2023-09-01 16:42 Michał Górny
2023-09-01 16:31 Arthur Zamarin
2023-07-31  7:13 Michał Górny
2022-11-19  8:47 Arthur Zamarin
2022-11-19  8:44 Arthur Zamarin
2022-10-18 18:07 Arthur Zamarin
2022-07-04  6:57 Michał Górny
2022-07-04  6:57 Michał Górny
2022-06-07  7:15 Michał Górny
2022-06-07  6:31 Agostino Sarubbo
2022-05-24 15:15 Michał Górny
2022-05-24  6:16 Michał Górny
2022-05-02 19:38 Arthur Zamarin
2022-05-02  8:27 Michał Górny
2022-04-25 16:50 Sam James
2022-01-31  0:26 Michał Górny
2021-11-28 14:42 Michał Górny
2021-11-27 10:27 Michał Górny
2021-06-13 11:27 Michał Górny
2020-11-28 15:42 Sam James
2020-11-15  7:54 Michał Górny
2020-11-15  5:19 Sam James
2020-11-14 22:06 Michał Górny
2020-10-10 16:26 Michał Górny
2020-07-25  8:31 Michał Górny
2020-07-19 15:48 Sam James
2020-07-14 15:57 Sam James
2020-07-14 13:19 Sam James
2020-07-06 19:01 Michał Górny
2020-07-06 16:44 Sergei Trofimovich
2020-07-05 13:42 Agostino Sarubbo
2020-07-01 12:21 Michał Górny
2020-06-01 20:30 Michał Górny
2020-05-31 10:04 Sergei Trofimovich
2020-05-30 14:37 Michał Górny
2020-05-30 11:51 Michał Górny
2020-05-28  8:00 Michał Górny
2020-05-28  7:06 Michał Górny
2020-04-24 20:21 Michał Górny
2020-04-22 18:40 Michał Górny
2020-03-17  2:09 Matt Turner
2020-03-14 21:37 Sergei Trofimovich
2020-03-04  5:01 Michał Górny
2020-02-18  8:59 Sergei Trofimovich
2020-02-03 11:31 Agostino Sarubbo
2020-01-31 13:45 Agostino Sarubbo
2019-12-05  0:21 Patrick McLean
2019-12-04  1:36 Patrick McLean
2019-11-22 23:58 Patrick McLean

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1601934399.cdb0e709e7cd81d12cf79d78d589d43f08f03e63.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox